#ifndef _vodSGI_h_
#define _vodSGI_h_

#define DATA_PORT_SERVER 2005
#define COMMAND_PORT_SERVER 2006
#define SYSTEM_BUFFER 32768
#define MAX_PENDING 10
#define COMMAND_LIST 3
#define DATA_LIST 7


#define VODBaseMsg 0
#define VODStop VODBaseMsg + 1
#define VODPlay VODBaseMsg + 2			      
#define VODPause VODBaseMsg + 3
#define VODSeekToStart VODBaseMsg + 4
#define VODSeekToEnd VODBaseMsg + 5
#define VODSeekToFrame VODBaseMsg + 6
#define VODLoadMovie VODBaseMsg + 7
#define VODQueryMovie VODBaseMsg + 8
#define VODReplay VODBaseMsg + 9
#define VODTerminateConnection VODBaseMsg + 10
#define VODUndefinedMessage VODBaseMsg + 11
#define VODReTransmitPrevMessage VODBaseMsg + 12
#define VODEof VODBaseMsg + 13
#define VODUnknownMovie VODBaseMsg + 14
#define VODUndefinedState VODBaseMsg + 15
#define VODSeekToOffset VODBaseMsg + 16
#define VODAckStopMessage VODBaseMsg + 17
#define VODFFwd VODBaseMsg + 18

struct play_time
{
 unsigned char hrs;
 unsigned char mins;
 unsigned char secs;
 long int frames;
 };

struct ts
{
 unsigned char hrs;
 unsigned char mins;
 unsigned char secs;
 unsigned char pics;
};

struct CONNECTIONS
{
 int data;
 int command;
 pid_t dataid;
 pid_t commandid;
 char* moviename;
 char* filename;
 struct play_time duration;
 struct ts* seek_time;
 uint_t current_state;
 struct CONNECTIONS* next;
}; 

struct PENDING_LIST
{
 int socket;
 long id;
 struct PENDING_LIST* next;
};


#endif
